Version[1.0.9] - Jan 6, 2026
- The application in Client credential mode has been renamed to App Level Token mode, and the parameter passed to the
/oauth/tokenendpoint for this mode isgrant_type=app_level_token. If you have already completed development usinggrant_type=client_credentialsand have passed SIT certification or are already in production, you can continue to usegrant_type=client_credentialswithout any impact.
Version[1.0.8] - Nov 14, 2025
- Add image upload interface.
- The
new Merchant Update Notificationendpoint has adjusted the processing logic for entityType=ITEM_OFFERand entityType=OPTION. Previously, it would fetch the entire menu from the Software for updating, now it directly updates thestatusfield inupdatedObjects.
Version[1.0.7] - Nov 11, 2025
- Since there is currently no self-pickup scenario, the PICKED_UP event will not be received.
- The
requestCancellationparameter code enumeration has been updated from:"INSUFFICIENT_DISHES","SUSPENSION_OF_BUSINESS","INSUFFICIENT_MANPOWER","OTHERS"
to the following values:"SYSTEMIC_ISSUES","DUPLICATE_APPLICATION","UNAVAILABLE_ITEM","RESTAURANT_WITHOUT_DELIVERY_PERSON","OUTDATED_MENU","ORDER_OUTSIDE_THE_DELIVERY_AREA","BLOCKED_CUSTOMER","OUTSIDE_DELIVERY_HOURS","INTERNAL_DIFFICULTIES_OF_THE_RESTAURANT","RISK_AREA","DELIVERY_PROBLEM".
Although backward compatibility with the old enumeration values is maintained, we strongly recommend using the new code values.
In particular, when using the OUTDATED_MENU code, the items listed in invalidItems will be deactivated.
Version[1.0.6] - Sep 2, 2025
- Added
DeliveredandSend Delivery UpdatesAPIs related to "Merchant Responsible Delivery".
Version[1.0.5] - Jul 25, 2025
- Added Integrating with the Keeta API.
- Added Postman Collection.
Version[1.0.4] - Jul 18, 2025
ORDERS changes
- Added the post
/v1/batchDecryptendpoint.
Version[1.0.3] - Jul 8, 2025
ORDERS changes
- Added the post
/v1/orders/{orderId}/dispatchendpoint. request validation only.
Version[1.0.2] - Jul 7, 2025
MERCHANT changes
- Removed the post
/v1/merchantStatus/{merchantId}/availableandpost /v1/merchantStatus/{merchantId}/unavailableendpoints, and unified the merchant status update through thePOST /merchantUpdateendpoint (consistent with the native Open Delivery protocol).
Version[1.0.1] - Jun 30, 2025
Response Body Structure Definition Change
- Version 1.0.0 introduced response body structural changes, while v1.0.1 was adjusted to maintain alignment with the Open Delivery.
ORDERS changes
- Updated order events diagram and order flow diagram in Order Overview section.
- Added Order Refund instruction under Order Overview which follows Keeta's refund rules.
- Added sample metadata for payload within
USER_REFUND_REQUESTevent that could be notified by polling or webhook mechanism.
MERCHANT changes
- The data structure and fields of
GET /merchantandPOST /merchantUpdateendpoints are adjusted to be consistent with the native Open Delivery protocol.